Subject: Re: 23.0.60; Segmentation fault when deleting Emacs frame

From: Lawrence Mitchell <[email-masked]>
Date: Thu, 03 Jul 2008 15:13:29 +0100

Lawrence Mitchell wrote:
> [I sent the bug a few weeks ago, but didn't get any response.  The
> behaviour hasn't changed so am resending].

> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug:

> When starting emacs in a terminal and then using emacsclient to create
> an X frame, attempting to delete the X frame causes a segmentation fault
> in FcPatternDestroy() when using the following recipe:

> 1) emacs -Q -nw -fn 'Bitstream Vera Sans Mono-10' -l ~/bug.el

> ;; In another terminal create an X frame
> 2) emacsclient -c

> ;; Delete the frame
> 3) C-x 5 0

> 4) Segmentation fault

> Cheers,

> Lawrence

> Possibly relevant Xresources:

> *font:	-misc-fixed-medium-r-normal-*-16-160-*-*-*-*-iso8859-*
> Emacs.FontBackend:	xft
> Emacs.font:	Bitstream Vera Sans Mono-10
> Xft.antialias:	1
> Xft.dpi:	96.000000
> Xft.hinting:	1
> Xft.hintstyle:	hintmedium
> Xft.rgba:	none

> bug.el:
> ---begin---
> (server-start)

> (custom-set-faces
>  '(default ((t (:family "mono"))))
>  '(bold ((t (:family "mono"))))
>  '(mode-line ((t (:inherit default))))
>  '(mode-line-inactive ((t (:inherit bold)))))
> ---end---

> fontconfig is version 2.2.3

Having recently updated my Emacs (on 2008-07-01), I find that I
can no longer trigger this bug.  It appears it has been fixed
somewhere along the lines.

Cheers,
Lawrence
-- 
Lawrence Mitchell <[email-masked]>